diff --git a/.eslintignore b/.eslintignore
index dc7259927e1c..6d8222eb45db 100644
--- a/.eslintignore
+++ b/.eslintignore
@@ -1,4 +1,3 @@
-bower_components/**
 build/**
 docs/app/assets/js/angular-bootstrap/**
 docs/config/templates/**
@@ -8,3 +7,4 @@ src/angular.bind.js
 src/ngParseExt/ucd.js
 i18n/closure/**
 tmp/**
+vendor/**
diff --git a/.gitignore b/.gitignore
index 42c5e13b4421..2da934151e89 100644
--- a/.gitignore
+++ b/.gitignore
@@ -10,7 +10,6 @@ performance/temp*.html
 *.swp
 angular.js.tmproj
 node_modules/
-bower_components/
 angular.xcodeproj
 .idea
 *.iml
@@ -19,7 +18,6 @@ angular.xcodeproj
 libpeerconnection.log
 npm-debug.log
 /tmp/
-/scripts/bower/bower-*
 .vscode
 *.log
-*.stackdump
\ No newline at end of file
+*.stackdump
diff --git a/Gruntfile.js b/Gruntfile.js
index c9c32ca8d71a..0b2423e8c9e5 100644
--- a/Gruntfile.js
+++ b/Gruntfile.js
@@ -426,14 +426,12 @@ module.exports = function(grunt) {
     'shell:promises-aplus-tests'
   ]);
   grunt.registerTask('minify', [
-    'bower',
     'clean',
     'build',
     'minall'
   ]);
   grunt.registerTask('webserver', ['connect:devserver']);
   grunt.registerTask('package', [
-    'bower',
     'validate-angular-files',
     'clean',
     'buildall',
diff --git a/angularFiles.js b/angularFiles.js
index 7c4062d41ad4..01bb6422b1b2 100644
--- a/angularFiles.js
+++ b/angularFiles.js
@@ -171,7 +171,7 @@ var angularFiles = {
   ],
 
   'karma': [
-    'bower_components/jquery/dist/jquery.js',
+    'node_modules/jquery/dist/jquery.js',
     'test/jquery_remove.js',
     '@angularSrc',
     '@angularSrcModules',
@@ -202,7 +202,7 @@ var angularFiles = {
   ],
 
   'karmaJquery': [
-    'bower_components/jquery/dist/jquery.js',
+    'node_modules/jquery/dist/jquery.js',
     'test/jquery_alias.js',
     '@angularSrc',
     '@angularSrcModules',
@@ -220,8 +220,8 @@ var angularFiles = {
   angularFiles['karmaJquery' + jQueryVersion] = []
     .concat(angularFiles.karmaJquery)
     .map(function(path) {
-      if (path.startsWith('bower_components/jquery')) {
-        return path.replace(/^bower_components\/jquery/, 'bower_components/jquery-' + jQueryVersion);
+      if (path.startsWith('node_modules/jquery')) {
+        return path.replace(/^node_modules\/jquery/, 'node_modules/jquery-' + jQueryVersion);
       }
       return path;
     });
diff --git a/benchmarks/animation-bp/jquery-noop.js b/benchmarks/animation-bp/jquery-noop.js
index 8cac7fe4a149..de6781358dc1 100644
--- a/benchmarks/animation-bp/jquery-noop.js
+++ b/benchmarks/animation-bp/jquery-noop.js
@@ -1 +1 @@
-// Override me with ?jquery=/bower_components/jquery/dist/jquery.js
+// Override me with ?jquery=/node_modules/jquery/dist/jquery.js
diff --git a/benchmarks/largetable-bp/jquery-noop.js b/benchmarks/largetable-bp/jquery-noop.js
index 8cac7fe4a149..de6781358dc1 100644
--- a/benchmarks/largetable-bp/jquery-noop.js
+++ b/benchmarks/largetable-bp/jquery-noop.js
@@ -1 +1 @@
-// Override me with ?jquery=/bower_components/jquery/dist/jquery.js
+// Override me with ?jquery=/node_modules/jquery/dist/jquery.js
diff --git a/benchmarks/orderby-bp/jquery-noop.js b/benchmarks/orderby-bp/jquery-noop.js
index 8cac7fe4a149..de6781358dc1 100644
--- a/benchmarks/orderby-bp/jquery-noop.js
+++ b/benchmarks/orderby-bp/jquery-noop.js
@@ -1 +1 @@
-// Override me with ?jquery=/bower_components/jquery/dist/jquery.js
+// Override me with ?jquery=/node_modules/jquery/dist/jquery.js
diff --git a/docs/config/services/getVersion.js b/docs/config/services/getVersion.js
index 7de01030b6ec..cc88b395e228 100644
--- a/docs/config/services/getVersion.js
+++ b/docs/config/services/getVersion.js
@@ -4,7 +4,7 @@ var path = require('canonical-path');
 /**
  * dgService getVersion
  * @description
- * Find the current version of the bower component (or node module)
+ * Find the current version of the node module
  */
 module.exports = function getVersion(readFilesProcessor) {
   var basePath = readFilesProcessor.basePath;
diff --git a/docs/gulpfile.js b/docs/gulpfile.js
index e45c504b6537..19a47be57eed 100644
--- a/docs/gulpfile.js
+++ b/docs/gulpfile.js
@@ -13,7 +13,7 @@ var rename = require('gulp-rename');
 
 // We indicate to gulp that tasks are async by returning the stream.
 // Gulp can then wait for the stream to close before starting dependent tasks.
-// See clean and bower for async tasks, and see assets and doc-gen for dependent tasks below
+// See clean for an async task, and see assets and doc-gen for dependent tasks below.
 
 var outputFolder = '../build/docs';
 
diff --git a/lib/grunt/plugins.js b/lib/grunt/plugins.js
index acce4b797ae7..2d71b85501eb 100644
--- a/lib/grunt/plugins.js
+++ b/lib/grunt/plugins.js
@@ -2,7 +2,6 @@
 
 /* eslint-disable no-invalid-this */
 
-var bower = require('bower');
 var util = require('./utils.js');
 var npmRun = require('npm-run');
 
@@ -63,15 +62,4 @@ module.exports = function(grunt) {
   grunt.registerTask('collect-errors', 'Combine stripped error files', function() {
     util.collectErrors();
   });
-
-  grunt.registerTask('bower', 'Install Bower packages.', function() {
-    var done = this.async();
-
-    bower.commands.install()
-      .on('log', function(result) {
-        grunt.log.ok('bower: ' + result.id + ' ' + result.data.endpoint.name);
-      })
-      .on('error', grunt.fail.warn.bind(grunt.fail))
-      .on('end', done);
-  });
 };
diff --git a/lib/grunt/utils.js b/lib/grunt/utils.js
index 952768da7239..52dbcde8fa5e 100644
--- a/lib/grunt/utils.js
+++ b/lib/grunt/utils.js
@@ -187,8 +187,8 @@ module.exports = {
         'java ' +
             this.java32flags() + ' ' +
             this.memoryRequirement() + ' ' +
-            '-cp bower_components/closure-compiler/compiler.jar' + classPathSep +
-            'bower_components/ng-closure-runner/ngcompiler.jar ' +
+            '-cp vendor/closure-compiler/compiler.jar' + classPathSep +
+            'vendor/ng-closure-runner/ngcompiler.jar ' +
             'org.angularjs.closurerunner.NgClosureRunner ' +
             '--compilation_level ' + compilationLevel + ' ' +
             '--language_in ECMASCRIPT5_STRICT ' +
diff --git a/scripts/travis/before_build.sh b/scripts/travis/before_build.sh
index e1d83d7977ad..ca44cb37d7dd 100755
--- a/scripts/travis/before_build.sh
+++ b/scripts/travis/before_build.sh
@@ -18,7 +18,6 @@ fi
 
 # unit runs the docs tests too which need a built version of the code
 if [[ "$JOB" = unit-* ]]; then
-  grunt bower
   grunt validate-angular-files
   grunt build
 fi
@@ -28,4 +27,4 @@ fi
 if [ "$JOB" != "ci-checks" ]; then
   echo "wait_for_browser_provider"
   ./scripts/travis/wait_for_browser_provider.sh
-fi
\ No newline at end of file
+fi
diff --git a/test/e2e/tools/fixture.js b/test/e2e/tools/fixture.js
index 586942524141..6842e606566e 100644
--- a/test/e2e/tools/fixture.js
+++ b/test/e2e/tools/fixture.js
@@ -65,7 +65,7 @@ function generateFixture(test, query) {
       }
     }
     if (!/^\d+\.\d+.*$/.test(query.jquery)) {
-      $(jquery).attr('src', '/bower_components/jquery/dist/jquery.js');
+      $(jquery).attr('src', '/node_modules/jquery/dist/jquery.js');
     } else {
       $(jquery).attr('src', '//ajax.googleapis.com/ajax/libs/jquery/' + query.jquery + '/jquery.js');
     }
